import matplotlib.pyplot as plt

experiment = "exp4_display"
experiment = "exp4_display_hdd"
measurements = ["stress_1", "stress_2", "stress_3", "stress_4", "aptupdate"] # 

fig, (axI, axU) = plt.subplots(2, 1)
fig.suptitle("Power consumption of commands", fontsize=18)

for m in measurements:

	axI.set_ylim(bottom=0.3, top=1.5)
	axU.set_ylim(bottom=5.0, top=5.18)

	with open(experiment + '/' + m + '_samples.txt') as f:
		samples = [(float(x.split("; ")[0].strip("A\n")), float(x.split("; ")[1].strip("V\n"))) for x in f.readlines()]
		samples_I = [x[0] for x in samples]
		samples_U = [x[1] for x in samples]

		axI.plot(samples_I, label=m)
		axU.plot(samples_U, label=m)

	axI.legend(loc='lower center', ncol = 4)
	axU.legend(loc='lower center', ncol = 4)

plt.tight_layout()
plt.show()
